
========== Instructions for installing the Linux tool chain for building the SDK ==========

1. Download the tool chain from link below:
   
   https://meta.box.lenovo.com/v/link/view/af115a5f96ab4601b204b6eb994f352c

   with password: telink123

   The current version of the tool is in folder "Google Ref RCU For ATV/Linux Tool Chain"

2. Extract the downloaded tool chain packege.
3. cd into the extracted folder.
4. Follow the instructions in the readme file to install the tool chain.


========== Instructions for adding SDK library files into the SDK ==========

1. Find the library files from link below:

   https://meta.box.lenovo.com/v/link/view/af115a5f96ab4601b204b6eb994f352c

   with password: telink123

   The current version of the library files are in folder "Google Ref RCU For ATV/Pro_Lib".

2. Download the .a files and copy them into the folder "proj_lib" under the SDK directory "Google_ATV_RCU_Reference_SDK".


========== Instructions for adding build utility files into the SDK ==========

1. Find the utility files from link below:

   https://meta.box.lenovo.com/v/link/view/af115a5f96ab4601b204b6eb994f352c

   with password: telink123

   The current version of the utility file is in folder "Google Ref RCU For ATV/Firmware_Check".

2. Download the check_fw and FW_SIG_ENC files and modify their attribute to executable by running command line "chmod +x check_fw"
   and "chmod +x FW_SIG_ENC".

3. Copy the check_fw and FW_SIG_ENC files into the SDK root directory "Google_ATV_RCU_Reference_SDK".


========== Instructions for building the SDK ==========

1. cd into the "8271_ble_remote" directory under the SDK root directory "Google_ATV_RCU_Reference_SDK".

2. Type "make" to build the SDK or "make clean" to clean the project.

3. Two bin files will be created in current directory after a successfull build:

3.1. The normal bin file "8271_ble_remote.bin" is the one without encription.

3.2. The file "sign_enc_FW.bin" has been encripted and signed with the default key file "FW_ENC_KEY".
     This bin file created with the default FW_ENC_KEY" is just for example purpose and
     is not able to pass the OTA process if encription is enforced.

**********!!!!! Important !!!!!**********

3.3. Vendors need to contact Google for two key files "FW_ENC_KEY" and "priv.pem" and
     copy them into the build directory "8271_ble_remote" to build a right encripted bin file
     "sign_enc_FW.bin" that can pass an OTA process with encription enforced.

**********!!!!! Important !!!!!**********

========== Instructions for installing the burning tool via 3 (power, SWS, ground) wires ==========

1. Download the SWS 3-wire burning tool from the link below

   https://meta.box.lenovo.com/v/link/view/af115a5f96ab4601b204b6eb994f352c

   with password: telink123

   The current version of the tool is in folder "Google Ref RCU For ATV/Linux_tcdb"

2  Extact the downloaded tgz file into a a directory and cd into the directory.

3. Run ./install_tcdb.sh to install the tool. Or

4. Follow the installation instructions in the document "Telink Linux tcdb user guide.pdf" to install the tool.


========== Instructions for burning a bin file into RCU via 3 (power, SWS, ground) wires ==========

1. Follow the instructions in the document "Telink Linux tcdb user guide.pdf" to flash a bin file.


========== Instructions for getting the reference hardware design files for the ATV ref RCU PCB ==========
========== Instructions for getting the reference hardware design files for the ATV ref RCU PCB ==========
========== Instructions for getting the reference hardware design files for the ATV ref RCU PCB ==========

1. The hardware reference design files can be downloaded from the following link

   https://meta.box.lenovo.com/v/link/view/af115a5f96ab4601b204b6eb994f352c

   with password: telink123

   The design files can be found in folder "Reference Design".


========== Instructions for updateing the new bin file into RCU via OTA process ==========

1. To be added
